Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class UserHandling

    java.lang.Object
      scone.Plugin
          scone.accesstracking.UserHandling

    public class UserHandling

extends Plugin

Field Summary

Fields inherited from class scone.Plugin
`ACCESSTRACKING, ACCESSTRACKING2, ADDPREAMBLE, CALCFINGERPRINT, CONSIDERINCLUSIONS, CONSIDERKEYWORDS, CONSIDERLINKS, COPYRIGHT, DECENT_HOST_CONDITION, HTDOCCONDITION, NO_HTDOCCONDITION, NOCACHE, NOREQUIREMENTS, PAGETIMEOUT, PARSEDOCUMENT, POSTDATA, RAS, RESOURCEGENERATOR, SAVEBODYTEXT, SAVESOURCECODE, USEPARSINGMEG`

Constructor Summary
`UserHandling()`

Method Summary
`int` | `getRequirements()` Define the requirements of this plugin by implementing this method.
`void` | `init()` Initializes a scone plugin.

Methods inherited from class scone.Plugin
`addMeg, disable, displayConfigGUI, displayConfigGUI, enable, getProperties, getRasPort, init, saveProperties, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserHandling

    public UserHandling()

Method Detail

### getRequirements

    public int getRequirements()

  Description copied from class: `Plugin`
  Define the requirements of this plugin by implementing this method.
  A plugin has to specify its requirements which can be as follows:
  NOREQUIREMENTS use this keyword if your plugin does not require any feature.
  PARSEDOCUMENT if required, the HtmlDocument objects will be created and filled.
  ACCESSTRACKING if required, scone's usertracking feature is used
  CONSIDERLINKS if required, Link Objects will be created and filled and LinkToken objects will be created
  CONSIDERINCLUSIONS if required, INCLUSION objects will be created and filled.
  CONSIDERKEYWORDS if required, Keyword objects will be created and filled. This feature will automatically require PARSEDOCUMENT.
  ADDPREAMBLE causes the AddPreambleEditor to be added to the proxy.
  RESOURCEGENERATOR causes the GeneralResourceGenerator to be added to the proxy
  RAS The Remote Access Server is started.

  These requirements have to be combined by the | operator: PARSEDOCUMENT | CONSIDERLINKS will cause scone to create HtmlDocument objects, Link objects and LinkToken objects.

  If a feature is not required by any of the registered plugins, scone will not support it at runtime.

  Specified by:
    `getRequirements` in class `Plugin`
  Returns:
    the requirements

### init

    public void init()

  Description copied from class: `Plugin`
  Initializes a scone plugin. This method is called by the `Scone` framework.

  Specified by:
    `init` in class `Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD